[Numpy-discussion] numpy as a setuptools dependency

Robert Kern robert.kern@gmail....
Thu Apr 24 13:23:01 CDT 2008


On Thu, Apr 24, 2008 at 11:04 AM, Andreas Klöckner
<lists@informa.tiker.net> wrote:
> Hi all,
>
>  numpy (1.0.4 anyway) doesn't seem to install right when it's pulled in as a
>  setuptools depdency from a package. If you need an example:
>
>  http://pypi.python.org/pypi/PyUblas/0.92.3
>
>  This is the error message:
>
>  error: /tmp/easy_install-BhSDYE/numpy-1.0.4/temp/tmpUk0utg/LLgCtQ: No such
>  file or directory

The actual error is above this. Please find it and post it.

>  Also, numpy doesn't use setuptools and therefore doesn't install an egg-info
>  on Python 2.4, so that often setuptools will wrongly conclude that it's not
>  installed, even if it is.

Use setupegg.py.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless
enigma that is made terrible by our own mad attempt to interpret it as
though it had an underlying truth."
 -- Umberto Eco


More information about the Numpy-discussion mailing list